SectionCollection Class

class NXOpen.SectionCollection

Bases: object

This class contains the factory methods for creating a section.

To obtain an instance of this class, refer to NXOpen.BasePart

New in version NX3.0.0.

Methods

Method Description
CreateSection Creates a section.
CreateSectionsUsingCurves Creates sections using curves such that each section can be extruded to produce one body.

Method Detail

CreateSection

SectionCollection.CreateSection

Overloaded method CreateSection

  • CreateSection(chainingTolerance, distanceTolerance, angleTolerance)
  • CreateSection()
  • CreateSection(curve)

-------------------------------------

Creates a section.

You should add selection intent rules to the section.

See the documentation for Section.AddToSection() for more details.

You can remove selection intent rules or one section element from the section.

See the documentation for Section.RemoveRules() and Section.RemoveSingleSectionElement() for more details.

Signature CreateSection(chainingTolerance, distanceTolerance, angleTolerance)

Parameters:
  • chainingTolerance (float) – Chaining tolerance
  • distanceTolerance (float) – Distance tolerance
  • angleTolerance (float) – Angle tolerance
Returns:

Return type:

NXOpen.Section

New in version NX3.0.0.

License requirements: gateway (“UG GATEWAY”)

-------------------------------------

Creates a section using default values for chaining, distance, and angle tolerance.

You should add selection intent rules to the section.

See the documentation for Section.AddToSection() for more details.

You can remove selection intent rules or one section element from the section.

See the documentation for Section.RemoveRules() and Section.RemoveSingleSectionElement() for more details.

Signature CreateSection()

Returns:
Return type:NXOpen.Section

New in version NX3.0.0.

License requirements: gateway (“UG GATEWAY”)

-------------------------------------

Creates a section with Single Curve rule using the given curve, edge or point.

Signature CreateSection(curve)

Parameters:curve (NXOpen.NXObject) – Curve, Edge or Point
Returns:The created section
Return type:NXOpen.Section

New in version NX8.0.0.

License requirements: gateway (“UG GATEWAY”)

-------------------------------------

CreateSectionsUsingCurves

SectionCollection.CreateSectionsUsingCurves

Creates sections using curves such that each section can be extruded to produce one body.

Curves are first sorted into loops and then the loops are classified as exterior loops and interior loops. A section is created for each exterior loop of curves and includes closed loops that are enclosed in the exterior loop depending on the loop option.

The inputs must be all curves. The curves must lie on the same plane.

Signature CreateSectionsUsingCurves(curves, loopOption, chainingTolerance, distanceTolerance, angleTolerance)

Parameters:
  • curves (list of NXOpen.NXObject) – Curves
  • loopOption (NXOpen.SectionCollectionLoopOption) – Loop option
  • chainingTolerance (float) – Chaining tolerance
  • distanceTolerance (float) – Distance tolerance
  • angleTolerance (float) – Angle tolerance
Returns:

Return type:

list of NXOpen.Section

New in version NX4.0.4.

License requirements: gateway (“UG GATEWAY”)